
Redmine - Feature #32641

 "general_csv_encoding:" should be  "UTF-8"  in en.yml.
Description

When language on "My Account" is set to “English” , then the Japanese character strings in tickets change to “????” when exporting

to csv.

This  is caused  by that in "config/locales/en.yml" the English encoding setting is "general_csv_encoding: ISO-8859-1". If the setting

is  "general_csv_encoding: UTF-8", "????" will not happen.

Many users use  both English and  native language (not-English).

So "general_csv_encoding:" should be  "UTF-8"  in en.yml.English is special and different from other languages.

Related issues:

Related to Redmine - Feature #26279: Allow switching the encoding to UTF-8 wh... Closed

History

#1 - 2019-12-15 07:16 - Go MAEDA

FYI: You can switch the CSV encoding to UTF-8 when exporting data. This feature is supported in Redmine 4.0 or later (#26279).
#2 - 2019-12-22 15:09 - Tomoko  Shimizu

Sorry for not knowing the improvement of Redmine 4.x. My Redmine version is still 3.x. Please close this issue. And I now understand that UTF-8 with

BOM causes error with old versions's excel.

#3 - 2019-12-23 10:34 - Marius BĂLTEANU

- Status changed from New to Needs feedback

- Resolution set to Invalid

Tomoko  Shimizu wrote:

Sorry for not knowing the improvement of Redmine 4.x. My Redmine version is still 3.x. Please close this issue. And I now understand that

UTF-8 with BOM causes error with old versions's excel.

 Thanks.

#4 - 2019-12-23 10:34 - Marius BĂLTEANU

- Related to Feature #26279: Allow switching the encoding to UTF-8 when exporting to CSV added

#5 - 2019-12-23 10:35 - Marius BĂLTEANU

- Status changed from Needs feedback to Closed
